## gmailieer 1.2

=== requirements.txt ===
google-api-python-client
oauth2client
tqdm

## gmailieer 0.6

=== debian/changelog ===
gmailieer (0.6-1) unstable; urgency=low

  * Initial upload (Closes: #863863)

 -- Julian Andres Klode <jak@debian.org>  Fri, 09 Feb 2018 16:18:56 +0100

=== debian/control ===
Source: gmailieer
Section: mail
Priority: optional
Maintainer: Julian Andres Klode <jak@debian.org>
Build-Depends: debhelper (>= 10),
               python3,
               python3-googleapi,
               python3-notmuch (>= 0.25),
               python3-oauth2client,
               python3-setuptools,
               python3-tqdm
Standards-Version: 4.1.3
Homepage: https://github.com/gauteh/gmailieer
Vcs-Git: https://salsa.debian.org/debian/gmailieer.git
Vcs-Browser: https://salsa.debian.org/debian/gmailieer

Package: gmailieer
Architecture: all
Depends: python3-googleapi,
         python3-notmuch (>= 0.25),
         python3-oauth2client,
         python3-tqdm,
         ${misc:Depends},
         ${python3:Depends}
Description: Fast fetch and two-way tag synchronization between notmuch and GMail
 This program can pull email and labels (and changes to labels) from your
 GMail account and store them locally in a maildir with the labels synchronized
 with a notmuch database. The changes to tags in the notmuch database may be
 pushed back remotely to your GMail account.
 .
 It will not and can not:
 * Add or delete messages on your remote account
 * Modify messages other than their labels

## gmailieer 0.10

=== debian/changelog ===
gmailieer (0.10-1) unstable; urgency=medium

  * New upstream version; highlights:
    - only allow one instance of gmi for each directory using fcntl.lockf()
    - allows syncing categories (personal, social, etc)
    - various improvements in batch sizing
    - do not use progressbar if not tty

 -- Julian Andres Klode <jak@debian.org>  Mon, 22 Oct 2018 13:26:44 +0200

gmailieer (0.6-1.1) unstable; urgency=medium

  * Add build dependency on dh-python (Closes: #896727)
  * Bump to debhelper 11
  * Bump policy, no changes required
  * Non-maintainer upload.

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 19 Oct 2018 17:00:58 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Section: mail
 Priority: optional
 Maintainer: Julian Andres Klode <jak@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
+               dh-python,
                python3,
                python3-googleapi,
                python3-notmuch (>= 0.25),
                python3-oauth2client,
                python3-setuptools,
                python3-tqdm
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Homepage: https://github.com/gauteh/gmailieer
 Vcs-Git: https://salsa.debian.org/debian/gmailieer.git
 Vcs-Browser: https://salsa.debian.org/debian/gmailieer

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_INSTALL_ARGS=--install-lib=/usr/share/gmailieer/ --install-scripts=/usr/share/gmailieer/

%:
	dh $@ --without python2 --with python3 --buildsystem=pybuild

=== debian/watch ===
version=2
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/<project>-$1\.tar\.gz/ \
  https://github.com/gauteh/gmailieer/tags .*/v?(\d\S+)\.tar\.gz

## gmailieer 1.2

=== debian/changelog ===
gmailieer (1.2-2) unstable; urgency=medium

  * New version of emacs changed my email in prev stanza, oops, fixed.

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 11 Sep 2020 11:19:28 +0100

gmailieer (1.2-1) unstable; urgency=medium

  * New upstream version (closes: #962733)
    - re-branded from “gmailieer” to “lieer” (closes: #947079)
    - new option: --file-extension
    - set Maildir message mtime to Gmail internalDate (for sorted ls!)
    - many minor bug fixes
  * Bump to policy 4.5.0, no changes required
  * Secure debian/copyright format URL
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Update git-buildpackage configuration
  * Add requires-root field to debian/rules
  * Update debian/watch to version=4
  * Bump debhelper from old 11 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Track upstream tweaks and bug fixes
  * Don't bother declaring automatically-figured-out runtime dependencies
  * Add dummy transition package gmailieer -> lieer
  * Add author of this stanza as uploader; jigger for co-maintenance
  * Placate lintian in minor ways

 -- Barak A. Pearlmutter <barak@pearlmutter.net>  Fri, 04 Sep 2020 22:47:33 +0100

=== debian/control ===
Source: gmailieer
Section: mail
Priority: optional
Maintainer: lieer maintainers <gmailieer@packages.debian.org>
Uploaders: Julian Andres Klode <jak@debian.org>,
	   Barak A. Pearlmutter <bap@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3,
               python3-googleapi,
               python3-notmuch (>= 0.25),
               python3-oauth2client,
               python3-setuptools,
               python3-tqdm
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/gauteh/lieer
Vcs-Git: https://salsa.debian.org/debian/lieer.git
Vcs-Browser: https://salsa.debian.org/debian/lieer

Package: lieer
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Provides: gmailieer
Replaces: gmailieer (<< 1.2)
Description: Fast fetch and two-way tag synchronization between notmuch and GMail
 This program can pull email and labels (and changes to labels) from your
 GMail account and store them locally in a maildir with the labels synchronized
 with a notmuch database. The changes to tags in the notmuch database may be
 pushed back remotely to your GMail account.
 .
 It will not and can not:
 * Add or delete messages on your remote account
 * Modify messages other than their labels

Package: gmailieer
Architecture: all
Depends: ${misc:Depends}, lieer (>= 1.2)
Description: Transition package, gmailieer to lieer
 Ease transition from gmailieer to lieer with this dummy package.

## gmailieer 1.3

=== requirements.txt ===
google-api-python-client
oauth2client
tqdm
notmuch

=== debian/changelog ===
gmailieer (1.3-6) unstable; urgency=medium

  * Track upstream changes
    - race condition updating state file
    - document -f option

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 18 Oct 2021 19:22:35 +0100

gmailieer (1.3-5) unstable; urgency=medium

  * bump policy
  * lintian tag missing-build-dependency-for-dh-addon

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 04 Oct 2021 12:04:06 +0100

gmailieer (1.3-4) unstable; urgency=medium

  * Seems that make can remove the ./ from a filename: ./gmi in particular

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 18 Aug 2021 18:37:40 +0100

gmailieer (1.3-3) unstable; urgency=medium

  * Track upstream changes (to readme)

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 18 Aug 2021 10:12:10 +0100

gmailieer (1.3-2) experimental; urgency=medium

  * Track upstream changes
  * Recommend notmuch
  * Build dependency on pytest
  * Use help2man to generate gmi(1) man page
  * Include missing documentation at link target (closes: #986468)
  * Set upstream name in debian/copyright

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 10 Jun 2021 15:32:17 +0100

gmailieer (1.3-1) unstable; urgency=medium

  * New upstream version
  * Track minor upstream bug fix

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 14 Dec 2020 11:56:57 +0000

gmailieer (1.2-3) unstable; urgency=medium

  * bump policy to 4.5.1, no chances required
  * lieer Breaks: gmailieer (<< 1.2) (closes: #974062)

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 06 Dec 2020 14:32:13 +0000

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,16 @@
 Uploaders: Julian Andres Klode <jak@debian.org>,
 	   Barak A. Pearlmutter <bap@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
-               python3,
-               python3-googleapi,
-               python3-notmuch (>= 0.25),
-               python3-oauth2client,
-               python3-setuptools,
-               python3-tqdm
-Standards-Version: 4.5.0
+	       help2man,
+	       dh-python,
+	       python3-all:any,
+	       python3-pytest,
+	       python3-googleapi,
+	       python3-notmuch (>= 0.25),
+	       python3-oauth2client,
+	       python3-setuptools,
+	       python3-tqdm
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/gauteh/lieer
 Vcs-Git: https://salsa.debian.org/debian/lieer.git
@@ -22,8 +24,10 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends}
+Recommends: notmuch
 Provides: gmailieer
 Replaces: gmailieer (<< 1.2)
+Breaks: gmailieer (<< 1.2)
 Description: Fast fetch and two-way tag synchronization between notmuch and GMail
  This program can pull email and labels (and changes to labels) from your
  GMail account and store them locally in a maildir with the labels synchronized

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_INSTALL_ARGS=--install-lib=/usr/share/lieer/ --install-scripts=/usr/share/lieer/

%:
	dh $@ --without python2 --with python3 --buildsystem=pybuild

execute_after_dh_auto_build: debian/gmi.1

debian/gmi.1: ./gmi debian/gmi-man-include debian/control
	help2man --no-info --version-string=1.3-2 \
	 --name="$(shell egrep '^Description: ' debian/control | head -1 | sed 's/Description: //')" \
	 --include=debian/gmi-man-include \
	 --output=$@ ./gmi

debian/gmi-man-include: debian/control
	echo '[SYNOPSIS]' > $@
	awk 'BEGIN {d=0; l=0} /^Description:/ {d=1} /^$$/&&(l==1) {exit} (l==1) {print} (d==1) {l=1}' $< \
	 | sed 's/^ //' | sed 's/^[.]$$//' >> $@

## gmailieer 1.4

=== requirements.txt ===
google-api-python-client
oauth2client
tqdm
notmuch2

=== debian/changelog ===
gmailieer (1.4-2) unstable; urgency=medium

  * Track upstream, which now has a better --verbose

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 27 Jul 2023 17:49:47 +0100

gmailieer (1.4-1) unstable; urgency=medium

  * New upstream version (just the version number)

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 12 Apr 2023 15:03:03 +0100

gmailieer (1.3-11) unstable; urgency=medium

  * Merge upstream patch for obsolete construct
  * Update standards version to 4.6.2, no changes needed.

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 03 Jan 2023 11:33:50 +0000

gmailieer (1.3-10) unstable; urgency=medium

  * Merge upstream fixes

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 21 Dec 2022 15:59:37 +0000

gmailieer (1.3-9) unstable; urgency=medium

  * Merge my merged fix to not fail if new.tags is empty

 -- Julian Andres Klode <jak@debian.org>  Thu, 17 Nov 2022 16:48:43 +0100

gmailieer (1.3-8) unstable; urgency=medium

  * Merge upstream bug fix

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 15 Nov 2022 12:17:14 +0000

gmailieer (1.3-7) unstable; urgency=medium

  * Use correct version in generated man page
  * Bump policy
  * Merge python3-notmuch2 mods

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 14 Sep 2022 13:02:36 +0100

## gmailieer 1.5

=== debian/changelog ===
gmailieer (1.5-1) unstable; urgency=medium

  * New upstream version
    - swizzles oauth library

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 18 Sep 2023 15:27:20 +0100

## gmailieer 1.6

=== requirements.txt ===
google-api-python-client
google_auth_oauthlib
tqdm
notmuch2

=== debian/changelog ===
gmailieer (1.6-6) unstable; urgency=medium

  * Track upstream changes, mainly documentation, minor bug fix
  * Remove requires-root field from debian/rules
  * Bump policy

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 01 Oct 2025 14:24:22 +0100

gmailieer (1.6-5) unstable; urgency=medium

  * Track upstream changes, mainly documentation, tiny cleanups like not
    installing tests.

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 19 Jan 2025 15:30:16 +0000

gmailieer (1.6-4) unstable; urgency=medium

  * Flush local fix, instead track upstream changes that handle Debian's
    ancient oauth library, which is an adapted version of the Debian fix.

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 07 Apr 2024 21:40:47 +0100

gmailieer (1.6-3) unstable; urgency=medium

  * Handle the old pre-1.8 python3-google-auth we have in the archive;
    and make sure we write credentials in an atomic way.

 -- Julian Andres Klode <jak@debian.org>  Tue, 05 Mar 2024 11:59:25 +0100

gmailieer (1.6-2) unstable; urgency=medium

  * Track upstream changes (closes: 1053227)

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 20 Dec 2023 16:22:33 +0000

gmailieer (1.6-1) unstable; urgency=medium

  * Add README.Debian with authentication fix report
  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 07 Nov 2023 16:19:41 +0000

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,15 @@
 	   Barak A. Pearlmutter <bap@debian.org>
 Build-Depends: debhelper-compat (= 13),
 	       help2man,
-	       dh-python,
+	       dh-sequence-python3,
 	       python3-all:any,
 	       python3-pytest,
 	       python3-googleapi,
-	       python3-notmuch (>= 0.25),
-	       python3-oauth2client,
+	       python3-notmuch2 (>= 0.36),
+	       python3-google-auth-oauthlib,
 	       python3-setuptools,
 	       python3-tqdm
-Standards-Version: 4.6.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Homepage: https://github.com/gauteh/lieer
 Vcs-Git: https://salsa.debian.org/debian/lieer.git
 Vcs-Browser: https://salsa.debian.org/debian/lieer

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_INSTALL_ARGS=--install-lib=/usr/share/lieer/ --install-scripts=/usr/share/lieer/

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build: debian/gmi.1

debian/gmi.1: ./gmi debian/gmi-man-include debian/control debian/changelog
	help2man --no-info --version-string="$(DEB_VERSION)" \
	 --name="$(shell egrep '^Description: ' debian/control | head -1 | sed 's/Description: //')" \
	 --include=debian/gmi-man-include \
	 --output=$@ ./gmi

debian/gmi-man-include: debian/control
	echo '[SYNOPSIS]' > $@
	awk 'BEGIN {d=0; l=0} /^Description:/ {d=1} /^$$/&&(l==1) {exit} (l==1) {print} (d==1) {l=1}' $< \
	 | sed 's/^ //' | sed 's/^[.]$$//' >> $@

=== debian/watch ===
version=4
https://github.com/gauteh/lieer/tags \
 .*/v?@ANY_VERSION@@ARCHIVE_EXT@
